View Issue Details

IDProjectCategoryView StatusLast Update
0002580SymmetricDSImprovementpublic2016-08-09 13:12
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002580: Send keepalive during push or pull to prevent connection timeout
DescriptionWhen pushing batches with stream to stage enabled, the batches are written to staging and then loaded to the database, while the client waits on an idle HTTP connection. The connection will eventually time out or be forgotten by the firewall. Then the client tries to push again and gets "server too busy" or the http connection will hang until the timeout threshold. Let's send an occasional partial ack response (like a name/value of 1=1&) that keeps the connection alive. Then we can lower the HTTP time out to be able to recover from actual network problems more quickly.

Similar situation with pulls that timeout while waiting for batch extraction to send batch CSV data. Let's send an occasional partial batch response (like nodeid, 0000) that keeps the connection alive.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 a34e1b5c

2016-04-29 19:45:27

admin

Details Diff
0002580: Send keepalive during push or pull to prevent connection
timeout

0002580
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.8 904fdf45

2016-07-11 14:48:02

admin

Details Diff
0002580: Send keepalive during push or pull to prevent connection
timeout

0002580
mod - symmetric-server/src/main/deploy/bin/setenv Diff File
mod - symmetric-server/src/main/deploy/bin/setenv.bat Diff File
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File

Issue History

Date Modified Username Field Change
2016-04-28 13:22 elong New Issue
2016-04-28 13:22 elong Status new => assigned
2016-04-28 13:22 elong Assigned To => elong
2016-04-29 19:45 elong Summary Send keepalive in acknowledgement to prevent connection timeout => Send keepalive during push or pull to prevent connection timeout
2016-04-29 19:45 elong Description Updated View Revisions
2016-04-29 19:56 elong Status assigned => resolved
2016-04-29 19:56 elong Fixed in Version => 3.8.0
2016-04-29 19:56 elong Resolution open => fixed
2016-04-29 20:00 admin Changeset attached => SymmetricDS 3.8 a34e1b5c
2016-07-11 15:00 admin Changeset attached => SymmetricDS 3.8 904fdf45
2016-08-09 13:12 admin Status resolved => closed